<?php
/*
 Plugin Name: tigaman webdesign - Masonry Post Grid shortcode
 * Plugin URI: https://www.tigaman.com/
 * Description: This plugin displays posts in mayonry grid with specified categories
 * Version: 1.0
 * Author: tigaman webdesign
 * Author URI: https://www.tigaman.hu
 */
?>
<?php add_filter( 'plugin_action_links_' . plugin_basename(__FILE__), 'twdmpgsc_settings_link' );
function twdmpgsc_settings_link( array $links ) {
    $url = get_admin_url() . "admin.php?page=masonry-post-grid";
    $settings_link = '<a href="' . $url . '">' . __('Settings', 'akismet') . '</a>';
      $links[] = $settings_link;
    return $links;
  }
?>
<?php function twdmpgsc_css_head() {?>
<style type="text/css">
.twd-masonry-post-grid-item-category {
background-color: <?php $masonry_post_grid_options = get_option( 'masonry_post_grid_option_name' ); ?><?php if($masonry_post_grid_options ['masonry_category_background_color_0']){?><?php echo $masonry_post_grid_options ['masonry_category_background_color_0']; ?><?php }else {?>#FF0099<?php ;}?>;
}
.twd-masonry-post-grid-item-date {
background-color: <?php $masonry_post_grid_options = get_option( 'masonry_post_grid_option_name' ); ?><?php if($masonry_post_grid_options ['masonry_date_background_color_1']){?><?php echo $masonry_post_grid_options ['masonry_date_background_color_1']; ?><?php }else {?>#99CC33<?php ;}?>;
}
</style>
<?php }add_action('wp_head', 'twdmpgsc_css_head');?>
<?php add_action( 'admin_enqueue_scripts', 'twdmpgsc_add_color_picker' );
function twdmpgsc_add_color_picker( $hook ) {
    if( is_admin() ) { 
        wp_enqueue_style( 'wp-color-picker' ); 
        wp_enqueue_script( 'twdmpgsc-custom-script-handle', plugins_url( 'js/twdmpgsc-custom-script.js', __FILE__ ), array( 'wp-color-picker' ), false, true ); 
    }
}
?>
<?php function twd_masonry_post_grid(){ob_start();include('twd-masonry-post-grid.php');$output = ob_get_clean();return $output;}add_shortcode( 'twd_masonry_post_grid', 'twd_masonry_post_grid' );?>
<?php function twd_masonry_post_grid2(){ob_start();include('twd-masonry-post-grid2.php');$output = ob_get_clean();return $output;}add_shortcode( 'twd_masonry_post_grid2', 'twd_masonry_post_grid2' );?>
<?php function twd_masonry_post_grid3(){ob_start();include('twd-masonry-post-grid3.php');$output = ob_get_clean();return $output;}add_shortcode( 'twd_masonry_post_grid3', 'twd_masonry_post_grid3' );?>
<?php function twd_masonry_post_grid4(){ob_start();include('twd-masonry-post-grid4.php');$output = ob_get_clean();return $output;}add_shortcode( 'twd_masonry_post_grid4', 'twd_masonry_post_grid4' );?>
<?php function twd_masonry_post_grid5(){ob_start();include('twd-masonry-post-grid5.php');$output = ob_get_clean();return $output;}add_shortcode( 'twd_masonry_post_grid5', 'twd_masonry_post_grid5' );?>
<?php 
// CSS file
add_action('wp_enqueue_scripts', 'twdmpgsc_plugin_styles');
  function twdmpgsc_plugin_styles() {
    wp_register_style('twdmpgsc', plugins_url('twd-masonry-post-grid.css',__FILE__));
    wp_enqueue_style('twdmpgsc'); }
?>
<?php
function twdmpgsc_custom_excerpt_length( $length ) {
   return 20;
}
add_filter( 'excerpt_length', 'twdmpgsc_custom_excerpt_length', 999 );
function twdmpgsc_custom_excerpt_more($more) {
   global $post;
   return '';
}
add_filter( 'excerpt_more', '__return_empty_string' );
add_filter('excerpt_more', 'twdmpgsc_custom_excerpt_more');

?>
<?php
/**
 * Generated by the WordPress Option Page generator
 * at http://jeremyhixon.com/wp-tools/option-page/
 */

class MasonryPostGrid {
	private $masonry_post_grid_options;

	public function __construct() {
		add_action( 'admin_menu', array( $this, 'masonry_post_grid_add_plugin_page' ) );
		add_action( 'admin_init', array( $this, 'masonry_post_grid_page_init' ) );
	}

	public function masonry_post_grid_add_plugin_page() {
		add_options_page(
			'Masonry Post grid', // page_title
			'Masonry Post grid', // menu_title
			'manage_options', // capability
			'masonry-post-grid', // menu_slug
			array( $this, 'masonry_post_grid_create_admin_page' ) // function
		);
	}

	public function masonry_post_grid_create_admin_page() {
		$this->masonry_post_grid_options = get_option( 'masonry_post_grid_option_name' ); ?>

		<div class="wrap">
			<h2>Masonry Post grid</h2>
			<p>Masonry Grid options</p>
			<?php settings_errors(); ?>

			<form method="post" action="options.php">
				<?php
					settings_fields( 'masonry_post_grid_option_group' );
					do_settings_sections( 'masonry-post-grid-admin' );
					submit_button();
				?>
			</form>
 <h1>See more free stuff - tigaman webdesign</h1>
          
<style type="text/css">
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;500&display=swap');
.wrap {
	box-shadow: 0 0 5px rgba(0,0,0,.3);
	padding: 30px;
	font-family: 'Roboto', sans-serif;
	background: url("data:image/svg+xml;charset=utf8,%3C?xml version='1.0' encoding='UTF-8' standalone='no'?%3E%3C!DOCTYPE svg PUBLIC '-//W3C//DTD SVG 1.1//EN' 'http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd'%3E%3Csvg version='1.1' id='Layer_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' width='250px' height='75px' viewBox='0 0 250 75' enable-background='new 0 0 250 75' xml:space='preserve'%3E%3Cimage id='image0' width='250' height='75' x='0' y='0' href='data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAPoAAABLCAQAAADzc1JmAAAABGdBTUEAALGPC/xhBQAAACBjSFJN AAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAAmJLR0QA/4ePzL8AAAAJcEhZ cwAACxIAAAsSAdLdfvwAAAAHdElNRQfmCBwXGSyWx4HXAAADzXpUWHRSYXcgcHJvZmlsZSB0eXBl IHhtcAAAeJztnU1yozAQhfc6RY4gd+sHHwcb2E3VLOf481pkbAfjxDGZqkdVhwpgIbX66x82b0H4 8+t3eHt7O0gXJehZp9rVWA5Fy6nkmiQWKbnUciyjDiLjdDqdJhGMH0uykVw1p0FjGmpMirldOYbU 1b5iYdbapzGngisMqmKRiE46xl7PtdO+dgULy2CblYNE+13OZaxqz4LtAG9SmcwP7ecHl+nNk6sZ jJ1sRbqskJi7NOQYxJybahvSLKOqDPAn6kGxq4IXYwdNmu0eY2eMSnsuMuE6n0uQoU3r28QeU6rE xSGGN98DUuALZmZJKZUrYGiE80OD7GrCEbUH1FTbn4wVk2Rsflfsf9CjHRd/BOchzEZkqFqRJYtL 7QCHSNnzqy9Lj+AOkofUSDla7AJSOpURLr5PQOAFeyPU5iEi3d+hvh+LrFku7qGaR+M1m7hHSsoA 3A4+RwNEEqJldfY6LPexmmnG+2RuZyxLFp1sJqdy1vE29YA42qxaQwvhCftHyzCSHaXLraptOmKt ctRz8+RT82EtBqte5ZTmq46tjlqucK3tfAg5YQjhwr/VUVTN/QMPbkzdbx8+7D/AzQSsUo+f7C+a LttH7Voxw6OP+6+aWtaSTPfVFOZymqvp+fK7r77wSvlhsS5rL8DNCENSztdusok4ZyzM9kKx1kEZ zEV4uBbhItiG0PboS2mmBouNjnAfd3hTZtsMdVUtOmszF5W9HsT1GN7OnV8oYX6VWt6WL9O1anl8 3PXaq8f/MvQdGHq012H40D6yMHi0wdBnidkd2vNVtgO0V1uGEu1n+p8D7ZaFw6MNhh4nZodoz1bZ LtBeaxlStJ/ofxa0KwuLRxsMPUrMLtGeq7KdoL3SMrRo2/ufB+0fC49HGwytJ2anaM9U2W7Qvt8y xGhb+58JbWZh8miDobXE7Bbt6yrbEdp3W4YabVv/c6GtKjV7RVsVWPaK9lWV7Qrtey1Djral/9nQ Ys/m0QZDq4rfXtE+r7KdobmYyYrmYiYpmouZrGguZpKiuZjJiuZiJiuai5mkaC5msqK5mEmK5mIm K5qLmaxoLmaSormYyYrmYiYpmouZrGguZrKiuZhJiuZiJiuai5msaC5mkqK5mMmK5mImKZqLmaxo LmayormYSYrmYiYrmouZpGguZrKiuZjJiuZiJimai5msaC5mkqK5mMmK5mImK5qLmaRoLmayormY yYrmYiYpmouZrGguZpKiuZjJiuZi5j/pcPUDKtk+MmGfJKh1/vZJ+AtO+opWFFIRmgAABx1JREFU eNrtnDFoKmsWgL99WFhYWAhrYSG8FBYXVriBDdzAtUiRhcBaCM8HFi64kCKFxS0sLFzIgxSBTZHC IsuzCKwLeZDCwiKFRQoLC4sscUFIHi9glpvFgAEvzIWzReaamWRi9CbjJDfnq3TmOOfMP/9//vOf /4ygKIqiKIqiKIqiKIqiKIqiKIqifMPEOKFH0GszlNkRoYdg6EN/TdQQhAOvzVBmRwpBEFJeG6JA jpUZaPHRRRC6+Ly+YSWE0JqBnqw5zvNe37ACSYR117V8Gec9/F7fsAJbCPOua8noOH9ONDmbgZaW jvPngx+DsutaFsxxvub17SoACYRl17VUNG53l+kadoFPNJ5I8xyfHKeKID8AsM8yIXxEgAAhi8Q5 Lfb57EFrfSP8birpGr4nG+k13vMfzrgEggQ5JYiPz/yBKNDhFz4Dl1xafhPBT5QYb/mJotdN91ro P+E8GyJBgkWiRGzHDxEM3oz9bY6E103xWphDiLmsI4IgbHh9q8oXMjNYrhUROrpUc5fvxpyL2sIn mJ/BjtcKV6T5BEBQH/4sCbBG606WvUXWdb0GW6Nvv7EzxW9DJLSTjJhnhwpl8ixMIh5iiz6CcETG ctzHkDmXTU0hLI2+TbOXXmCIsPsI3eHR8nXB9cjFfcpmgksQzsiPGw4+8vQRBpTvZNjjXMzA1IHF vMqEniVADaFI5hEWpkcbSXsIBmHX79VdgiRIkGadOkOEo/sGbIQmwkeKjgVKOWqum9qZSsccJfao 0ja3ZhIMHeXibFJhnSibNO5Z7HUQMkDeHB2LD+j2k6PCDiskqFNxlJln51ZU5A0BVuly5JSIi9HD YOPeirRtNl02LmTbV1uhM9bNFjAsLmyPMGlOHeTWbXJiiRluiCP08BFlwD6C3Mod3G2rju2a4thq VbPzLNOi/cAV3SZA427xS4geJ2M3TRusumxYErE4oQ4yJghZRxCqXCG06CEUKdC8R+43M58vCDmH q5UQdoA6TTIIg7F2XhdsCnscj2ZNJ/oM8ZPHwEBmsFE1no27k+UOxw/MY10+3DqyauvrfU455ZCG KTf+rLNZ3dHnNwjte+SS7CIYpKkiHBEgyCphqqNALs4HdmlQRxCOiXOMcMkFcifXF2ODE4RlVhDi rJurliBpS1D5BT/b5qPOk0cY8Ik+e3ek0uwh1E2ZBE0+OrjX1Xszi0/dtiF6N0PoiyEpFjgf+9Cz d863+BtXDsFTa4KzTsSpjz4vgkPs7iNJgbcA/MQCP3DOCldAGYhRAVYo8ZZ/c4Gfd8AFP/JPYvxC mgA9y0ZNhBQp3nFFgM80afEv2uSBNkv8TAT4kapFf4A670zt8Heu+BOHbBC1WJggzZ8J8T8gMpIp 8zPLtoglwg7v+es9bfG0bRtin19v+8HoTOreHuLCMuuUkFvuKMoGZ3ykTM4MN4WBZUIKIKSp0SNv hk9BDIQixwg1s3uvckiOHFu0uWCfAgvMIzTJYjAHNBAaGBis0uLIZsExfY4QOhQRDDPcC9FknSwf 2OeCNtukCbOJIBgkAfBzYtufzPKRqutL4GsWOWHgFB+d2dbkXhDCIDD6toaMYgg/KWr02SWJj+ui yYGlQa9ZQuhTtlwjjmDQQzi0HL1ezCQsk1kGocyJmQrqmA8rxXWUETelUvSpEWEf4WwkcaMrQYK4 ZcG5hyAULE0/YBM/AVIcsj+6rruE2UHoOa9GsgiHZO6N3eddL2lYsLmfMH0aJMhR4ZBNliz605bH ckMJ41aoGWRovi4RGKeYEkKbodkN2rbqvDo1oixxQNv0QxsIwuDBevzGnWRRjG0aVFmbUSQ/xxZD hMb9+nL0EQza7FKiRNpyLo6w7bKJmVuLqQh5CiQdwssAu9Rv9d0YfQcL0zQoPthdK7alXI5TS0Dk p0CFbUsVQZDqROO0SO2BzuYe177xus4wO140TIlTS/LuhixCx2VDC46LqckIc4LYnP00lBEGLz4H d0OSAYJwOj79amWOJFmytok/wsGY5cDTsDXZ1oADPg4wHvGiYxZx/e5mSZpL9lh5CTWGla+e6YoM OHBIzEzOy99geaHsf+Xv4hgUOKfk9Q28HL57/CU8xUeZX2nxe0tiR3mA5+P3Lwl9xdZohj/yF5b4 76Pcu+IRm19R4eqnRxcf3alqbF49z8e9t2yZgclYJcw2b/h+Bnv9igsEuJjyXyd8dOnjZ8tWb6O8 KHKIZXP1YZJmHu3sUbVxiscsT5WVqyPEWHpELk55YYQxaAJV+urcXwt5hDVCDD0vRFJmxgFChA9j K+mUb4oAQ5pA11bbokzE81mnT8cifg5I8r0699fDOsISDQb6z7HT81JH+hvAz3v+YfunCuWbpsU5 rRm8Uqk8I67Lutx+0Up5VtQQjj0rPFQ8IUz2WbwRqiiKoiiKoiiKoiiKoiiKoii3+T/j/qjtmGlT CAAAABZ0RVh0Q3JlYXRpb24gVGltZQAwNy8wMi8yMq1LEssAAAAldEVYdGRhdGU6Y3JlYXRlADIw MjItMDgtMjhUMjM6MjU6NDQrMDA6MDAepk1wAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIyLTA4LTI4 VDIzOjI1OjQ0KzAwOjAwb/v1zAAAACh0RVh0ZGF0ZTp0aW1lc3RhbXAAMjAyMi0wOC0yOFQyMzoy NTo0NCswMDowMDju1BMAAAATdEVYdGRjOmZvcm1hdABpbWFnZS9wbmf/uRs+AAAAHHRFWHRTb2Z0 d2FyZQBBZG9iZSBGaXJld29ya3MgQ1M26LyyjAAAACN0RVh0eG1wOkNyZWF0ZURhdGUAMjAyMi0w Ny0wMVQyMzozNjowM1q4jYmUAAAALXRFWHR4bXA6Q3JlYXRvclRvb2wAQWRvYmUgRmlyZXdvcmtz IENTNiAoV2luZG93cykoY/PJAAAAI3RFWHR4bXA6TW9kaWZ5RGF0ZQAyMDIyLTA3LTI0VDIzOjA4 OjUxWsSF4qsAAAAASUVORK5CYII='/%3E%3C/svg%3E"),repeating-radial-gradient(circle, transparent, transparent 11.2px, rgba(0, 0, 0, 0.008) 11.2px, rgba(0, 0, 0, 0.008) 14.4px), repeating-radial-gradient(circle, transparent, transparent 11.2px, rgba(0, 0, 0, 0.008) 11.2px, rgba(0, 0, 0, 0.008) 14.4px), rgba(255,255,255,1);
	background-position: right 15px top 10px, 0 0;
	background-repeat: no-repeat, repeat;
	background-size: auto,  1640px 640px;
}
h1 {	font-weight: 200;}
h2 {	font-weight: 300;}
 #tigamandotcom {width: 100%;height:500px;overflow-x: hidden;}
 #footer-thankyou, #footer-upgrade{display:none;}
table {
	width: 100%;
	max-width: 100%;
	margin: 20px 0;

}
tr {
	border-bottom:1px dotted  rgba(0,0,0,.2);	
	box-shadow: 0 5px 5px -5px rgba(0,0,0,.2);	
}
th {font-weight: 300;	letter-spacing: 1.5px;	
	text-transform: capitalize;}
table input {
	width: calc(100% - 20px);
	padding: 10px;
	margin: 0 0px;	font-weight: 400;
}


 </style>       
            <embed id="tigamandotcom" type="text/html" src="https://www.tigaman.com/">  <div style="clear: both; width: 100%; height: 1px;"></div>

		</div>
	<?php }

	public function masonry_post_grid_page_init() {
		register_setting(
			'masonry_post_grid_option_group', // option_group
			'masonry_post_grid_option_name', // option_name
			array( $this, 'masonry_post_grid_sanitize' ) // sanitize_callback
		);

		add_settings_section(
			'masonry_post_grid_setting_section', // id
			'Settings', // title
			array( $this, 'masonry_post_grid_section_info' ), // callback
			'masonry-post-grid-admin' // page
		);

		add_settings_field(
			'masonry_category_background_color_0', // id
			'Masonry category background color', // title
			array( $this, 'masonry_category_background_color_0_callback' ), // callback
			'masonry-post-grid-admin', // page
			'masonry_post_grid_setting_section' // section
		);

		add_settings_field(
			'masonry_date_background_color_1', // id
			'Masonry date background color', // title
			array( $this, 'masonry_date_background_color_1_callback' ), // callback
			'masonry-post-grid-admin', // page
			'masonry_post_grid_setting_section' // section
		);

		add_settings_field(
			'masonry_grid_1_category_id_or_category_ids_separated_by_commas_2', // id
			'Masonry Grid 1 -  Category ID or category IDs separated by commas', // title
			array( $this, 'masonry_grid_1_category_id_or_category_ids_separated_by_commas_2_callback' ), // callback
			'masonry-post-grid-admin', // page
			'masonry_post_grid_setting_section' // section
		);

		add_settings_field(
			'masonry_grid_2_category_id_or_category_ids_separated_by_commas_3', // id
			'Masonry Grid 2 -  Category ID or category IDs separated by commas', // title
			array( $this, 'masonry_grid_2_category_id_or_category_ids_separated_by_commas_3_callback' ), // callback
			'masonry-post-grid-admin', // page
			'masonry_post_grid_setting_section' // section
		);

		add_settings_field(
			'masonry_grid_3_category_id_or_category_ids_separated_by_commas_4', // id
			'Masonry Grid 3 -  Category ID or category IDs separated by commas', // title
			array( $this, 'masonry_grid_3_category_id_or_category_ids_separated_by_commas_4_callback' ), // callback
			'masonry-post-grid-admin', // page
			'masonry_post_grid_setting_section' // section
		);

		add_settings_field(
			'masonry_grid_4_category_id_or_category_ids_separated_by_commas_5', // id
			'Masonry Grid 4 -  Category ID or category IDs separated by commas', // title
			array( $this, 'masonry_grid_4_category_id_or_category_ids_separated_by_commas_5_callback' ), // callback
			'masonry-post-grid-admin', // page
			'masonry_post_grid_setting_section' // section
		);

		add_settings_field(
			'masonry_grid_5_category_id_or_category_ids_separated_by_commas_6', // id
			'Masonry Grid 5 -  Category ID or category IDs separated by commas', // title
			array( $this, 'masonry_grid_5_category_id_or_category_ids_separated_by_commas_6_callback' ), // callback
			'masonry-post-grid-admin', // page
			'masonry_post_grid_setting_section' // section
		);
	}

	public function masonry_post_grid_sanitize($input) {
		$sanitary_values = array();
		if ( isset( $input['masonry_category_background_color_0'] ) ) {
			$sanitary_values['masonry_category_background_color_0'] = sanitize_text_field( $input['masonry_category_background_color_0'] );
		}

		if ( isset( $input['masonry_date_background_color_1'] ) ) {
			$sanitary_values['masonry_date_background_color_1'] = sanitize_text_field( $input['masonry_date_background_color_1'] );
		}

		if ( isset( $input['masonry_grid_1_category_id_or_category_ids_separated_by_commas_2'] ) ) {
			$sanitary_values['masonry_grid_1_category_id_or_category_ids_separated_by_commas_2'] = sanitize_text_field( $input['masonry_grid_1_category_id_or_category_ids_separated_by_commas_2'] );
		}

		if ( isset( $input['masonry_grid_2_category_id_or_category_ids_separated_by_commas_3'] ) ) {
			$sanitary_values['masonry_grid_2_category_id_or_category_ids_separated_by_commas_3'] = sanitize_text_field( $input['masonry_grid_2_category_id_or_category_ids_separated_by_commas_3'] );
		}

		if ( isset( $input['masonry_grid_3_category_id_or_category_ids_separated_by_commas_4'] ) ) {
			$sanitary_values['masonry_grid_3_category_id_or_category_ids_separated_by_commas_4'] = sanitize_text_field( $input['masonry_grid_3_category_id_or_category_ids_separated_by_commas_4'] );
		}

		if ( isset( $input['masonry_grid_4_category_id_or_category_ids_separated_by_commas_5'] ) ) {
			$sanitary_values['masonry_grid_4_category_id_or_category_ids_separated_by_commas_5'] = sanitize_text_field( $input['masonry_grid_4_category_id_or_category_ids_separated_by_commas_5'] );
		}

		if ( isset( $input['masonry_grid_5_category_id_or_category_ids_separated_by_commas_6'] ) ) {
			$sanitary_values['masonry_grid_5_category_id_or_category_ids_separated_by_commas_6'] = sanitize_text_field( $input['masonry_grid_5_category_id_or_category_ids_separated_by_commas_6'] );
		}

		return $sanitary_values;
	}

	public function masonry_post_grid_section_info() {
		
	}

	public function masonry_category_background_color_0_callback() {
		printf(
			'<input class="regular-text" type="text" name="masonry_post_grid_option_name[masonry_category_background_color_0]" id="masonry_category_background_color_0" value="%s">',
			isset( $this->masonry_post_grid_options['masonry_category_background_color_0'] ) ? esc_attr( $this->masonry_post_grid_options['masonry_category_background_color_0']) : ''
		);
	}

	public function masonry_date_background_color_1_callback() {
		printf(
			'<input class="regular-text" type="text" name="masonry_post_grid_option_name[masonry_date_background_color_1]" id="masonry_date_background_color_1" value="%s">',
			isset( $this->masonry_post_grid_options['masonry_date_background_color_1'] ) ? esc_attr( $this->masonry_post_grid_options['masonry_date_background_color_1']) : ''
		);
	}

	public function masonry_grid_1_category_id_or_category_ids_separated_by_commas_2_callback() {
		printf(
			'<input class="regular-text" type="text" name="masonry_post_grid_option_name[masonry_grid_1_category_id_or_category_ids_separated_by_commas_2]" id="masonry_grid_1_category_id_or_category_ids_separated_by_commas_2" value="%s">',
			isset( $this->masonry_post_grid_options['masonry_grid_1_category_id_or_category_ids_separated_by_commas_2'] ) ? esc_attr( $this->masonry_post_grid_options['masonry_grid_1_category_id_or_category_ids_separated_by_commas_2']) : ''
		);
	}

	public function masonry_grid_2_category_id_or_category_ids_separated_by_commas_3_callback() {
		printf(
			'<input class="regular-text" type="text" name="masonry_post_grid_option_name[masonry_grid_2_category_id_or_category_ids_separated_by_commas_3]" id="masonry_grid_2_category_id_or_category_ids_separated_by_commas_3" value="%s">',
			isset( $this->masonry_post_grid_options['masonry_grid_2_category_id_or_category_ids_separated_by_commas_3'] ) ? esc_attr( $this->masonry_post_grid_options['masonry_grid_2_category_id_or_category_ids_separated_by_commas_3']) : ''
		);
	}

	public function masonry_grid_3_category_id_or_category_ids_separated_by_commas_4_callback() {
		printf(
			'<input class="regular-text" type="text" name="masonry_post_grid_option_name[masonry_grid_3_category_id_or_category_ids_separated_by_commas_4]" id="masonry_grid_3_category_id_or_category_ids_separated_by_commas_4" value="%s">',
			isset( $this->masonry_post_grid_options['masonry_grid_3_category_id_or_category_ids_separated_by_commas_4'] ) ? esc_attr( $this->masonry_post_grid_options['masonry_grid_3_category_id_or_category_ids_separated_by_commas_4']) : ''
		);
	}

	public function masonry_grid_4_category_id_or_category_ids_separated_by_commas_5_callback() {
		printf(
			'<input class="regular-text" type="text" name="masonry_post_grid_option_name[masonry_grid_4_category_id_or_category_ids_separated_by_commas_5]" id="masonry_grid_4_category_id_or_category_ids_separated_by_commas_5" value="%s">',
			isset( $this->masonry_post_grid_options['masonry_grid_4_category_id_or_category_ids_separated_by_commas_5'] ) ? esc_attr( $this->masonry_post_grid_options['masonry_grid_4_category_id_or_category_ids_separated_by_commas_5']) : ''
		);
	}

	public function masonry_grid_5_category_id_or_category_ids_separated_by_commas_6_callback() {
		printf(
			'<input class="regular-text" type="text" name="masonry_post_grid_option_name[masonry_grid_5_category_id_or_category_ids_separated_by_commas_6]" id="masonry_grid_5_category_id_or_category_ids_separated_by_commas_6" value="%s">',
			isset( $this->masonry_post_grid_options['masonry_grid_5_category_id_or_category_ids_separated_by_commas_6'] ) ? esc_attr( $this->masonry_post_grid_options['masonry_grid_5_category_id_or_category_ids_separated_by_commas_6']) : ''
		);
	}

}
if ( is_admin() )
	$masonry_post_grid = new MasonryPostGrid();

/* 
 * Retrieve this value with:
 * $masonry_post_grid_options = get_option( 'masonry_post_grid_option_name' ); // Array of All Options
 * $masonry_category_background_color_0 = $masonry_post_grid_options['masonry_category_background_color_0']; // Masonry category background color
 * $masonry_date_background_color_1 = $masonry_post_grid_options['masonry_date_background_color_1']; // Masonry date background color
 * $masonry_grid_1_category_id_or_category_ids_separated_by_commas_2 = $masonry_post_grid_options['masonry_grid_1_category_id_or_category_ids_separated_by_commas_2']; // Masonry Grid 1 -  Category ID or category IDs separated by commas
 * $masonry_grid_2_category_id_or_category_ids_separated_by_commas_3 = $masonry_post_grid_options['masonry_grid_2_category_id_or_category_ids_separated_by_commas_3']; // Masonry Grid 2 -  Category ID or category IDs separated by commas
 * $masonry_grid_3_category_id_or_category_ids_separated_by_commas_4 = $masonry_post_grid_options['masonry_grid_3_category_id_or_category_ids_separated_by_commas_4']; // Masonry Grid 3 -  Category ID or category IDs separated by commas
 * $masonry_grid_4_category_id_or_category_ids_separated_by_commas_5 = $masonry_post_grid_options['masonry_grid_4_category_id_or_category_ids_separated_by_commas_5']; // Masonry Grid 4 -  Category ID or category IDs separated by commas
 * $masonry_grid_5_category_id_or_category_ids_separated_by_commas_6 = $masonry_post_grid_options['masonry_grid_5_category_id_or_category_ids_separated_by_commas_6']; // Masonry Grid 5 -  Category ID or category IDs separated by commas
 */

?>